Package org.opencv.video

## Class FarnebackOpticalFlow

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.video.DenseOpticalFlow
    - - org.opencv.video.FarnebackOpticalFlow

-     public class FarnebackOpticalFlow
      extends DenseOpticalFlow

  Class computing a dense optical flow using the Gunnar Farneback's algorithm.

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `FarnebackOpticalFlow​(long addr)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static FarnebackOpticalFlow` | `__fromPtr__​(long addr)` |
    `static FarnebackOpticalFlow` | `create()` |
    `static FarnebackOpticalFlow` | `create​(int numLevels)` |
    `static FarnebackOpticalFlow` | `create​(int numLevels, double pyrScale)` |
    `static FarnebackOpticalFlow` | `create​(int numLevels, double pyrScale, boolean fastPyramids)` |
    `static FarnebackOpticalFlow` | `create​(int numLevels, double pyrScale, boolean fastPyramids, int winSize)` |
    `static FarnebackOpticalFlow` | `create​(int numLevels, double pyrScale, boolean fastPyramids, int winSize, int numIters)` |
    `static FarnebackOpticalFlow` | `create​(int numLevels, double pyrScale, boolean fastPyramids, int winSize, int numIters, int polyN)` |
    `static FarnebackOpticalFlow` | `create​(int numLevels, double pyrScale, boolean fastPyramids, int winSize, int numIters, int polyN, double polySigma)` |
    `static FarnebackOpticalFlow` | `create​(int numLevels, double pyrScale, boolean fastPyramids, int winSize, int numIters, int polyN, double polySigma, int flags)` |
    `protected void` | `finalize()` |
    `boolean` | `getFastPyramids()` |
    `int` | `getFlags()` |
    `int` | `getNumIters()` |
    `int` | `getNumLevels()` |
    `int` | `getPolyN()` |
    `double` | `getPolySigma()` |
    `double` | `getPyrScale()` |
    `int` | `getWinSize()` |
    `void` | `setFastPyramids​(boolean fastPyramids)` |
    `void` | `setFlags​(int flags)` |
    `void` | `setNumIters​(int numIters)` |
    `void` | `setNumLevels​(int numLevels)` |
    `void` | `setPolyN​(int polyN)` |
    `void` | `setPolySigma​(double polySigma)` |
    `void` | `setPyrScale​(double pyrScale)` |
    `void` | `setWinSize​(int winSize)` |

    - ### Methods inherited from class org.opencv.video.DenseOpticalFlow

      `calc, collectGarbage`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, empty, getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FarnebackOpticalFlow

          protected FarnebackOpticalFlow​(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static FarnebackOpticalFlow __fromPtr__​(long addr)

    - #### create

          public static FarnebackOpticalFlow create​(int numLevels,
                                                    double pyrScale,
                                                    boolean fastPyramids,
                                                    int winSize,
                                                    int numIters,
                                                    int polyN,
                                                    double polySigma,
                                                    int flags)

    - #### create

          public static FarnebackOpticalFlow create​(int numLevels,
                                                    double pyrScale,
                                                    boolean fastPyramids,
                                                    int winSize,
                                                    int numIters,
                                                    int polyN,
                                                    double polySigma)

    - #### create

          public static FarnebackOpticalFlow create​(int numLevels,
                                                    double pyrScale,
                                                    boolean fastPyramids,
                                                    int winSize,
                                                    int numIters,
                                                    int polyN)

    - #### create

          public static FarnebackOpticalFlow create​(int numLevels,
                                                    double pyrScale,
                                                    boolean fastPyramids,
                                                    int winSize,
                                                    int numIters)

    - #### create

          public static FarnebackOpticalFlow create​(int numLevels,
                                                    double pyrScale,
                                                    boolean fastPyramids,
                                                    int winSize)

    - #### create

          public static FarnebackOpticalFlow create​(int numLevels,
                                                    double pyrScale,
                                                    boolean fastPyramids)

    - #### create

          public static FarnebackOpticalFlow create​(int numLevels,
                                                    double pyrScale)

    - #### create

          public static FarnebackOpticalFlow create​(int numLevels)

    - #### create

          public static FarnebackOpticalFlow create()

    - #### getFastPyramids

          public boolean getFastPyramids()

    - #### getPolySigma

          public double getPolySigma()

    - #### getPyrScale

          public double getPyrScale()

    - #### getFlags

          public int getFlags()

    - #### getNumIters

          public int getNumIters()

    - #### getNumLevels

          public int getNumLevels()

    - #### getPolyN

          public int getPolyN()

    - #### getWinSize

          public int getWinSize()

    - #### setFastPyramids

          public void setFastPyramids​(boolean fastPyramids)

    - #### setFlags

          public void setFlags​(int flags)

    - #### setNumIters

          public void setNumIters​(int numIters)

    - #### setNumLevels

          public void setNumLevels​(int numLevels)

    - #### setPolyN

          public void setPolyN​(int polyN)

    - #### setPolySigma

          public void setPolySigma​(double polySigma)

    - #### setPyrScale

          public void setPyrScale​(double pyrScale)

    - #### setWinSize

          public void setWinSize​(int winSize)

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `DenseOpticalFlow`
      Throws:
        `java.lang.Throwable`